一个热爱网络的小学教师

解决WordPress主题不兼容IE6又一法:使用IE6专用主题

现在兼容IE6的wordpress主题越来越少,最起码也是IE7起步了,但是我发现访问“高海鹏博客”的访客中,仍然有大约25%的用户在使用即将淘汰的IE6,虽说我们可以为网站添加IE6升级提示http://www.gaohaipeng.com/931.html,但这是治标不治本的方法,而且对于用户不够友好,谁会为了看你的一篇文章而专门去升级浏览器呢?你的文章有那么重要吗?在ghost版的xp消失之前,IE6仍然会占据国内很大的市场,就算是微软放弃IE6,国内的用户也会一直用下去的,并且会持续很长时间。那么如何彻底解决wordpress主题不兼容IE6的问题呢?今天我发现了一个独辟蹊径解决这个问题的方法:使用IE专用主题。

要实现这个功能,我们需要安装一个插件“IE-Theme”,这个插件可以实现一个网站两个主题,当用户访问网站的时候,插件会判断用户的浏览器,如果低于设置值,就会自动启用兼容的主题,高于设置值,则会正常显示主题。

IE-Theme插件介绍:

1、为IE用户设置一个专用主题;

2、可以设置IE浏览器的版本,当访客的IE版本低于设置值时启用设置的主题。

IE-Theme使用方法:

安装完插件并启用后,在WordPress后台“设置”菜单下有一个“IE主题”,打开后发现只有两个选项,“IE版本 <=”和“IE主题”。

根据我们主题的情况,“IE版本 <=”可以设置为“IE6”或“IE7”或“所有版本”,一般来说,如果我们的主题仅仅是不兼容IE6,那么选择“IE6”即可,如果连“IE7”甚至更高版本的IE都不兼容,那么可以设置为“所有版本”,这样只要访客的浏览器是IE,就自动启用设置的主题。

第二个选项“IE主题”就是设置将要启用的主题的。建议使用Twenty Ten主题,这个主题在是WordPress自带的,无需下载,而且关键是该主题在IE6下表现良好。

另外,可以把Twenty Ten主题上的那张大大的树林的图片,换成IE6升级提示,如下图。

不兼容ie6

未经允许不得转载:高海鹏老师的博客 » 解决WordPress主题不兼容IE6又一法:使用IE6专用主题

分享到:更多 ()

评论 10

Protected by WP Anti Spam

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. #4

    现在IE-theme安装后乱码

    执念2年前 (2014-09-17)回复
    • 是不是跟Wordpress的某些版本存在兼容性不好的问题?

      高海鹏2年前 (2014-09-18)回复
      • 是说现在的版本都不兼容IE-theme了,wp3.2以上就不兼容了

        执念2年前 (2014-09-18)回复
        • 这个插件现在用处也不大了,现在的主题一般都支持IE8以上,而更低版本的IE用户已经很少了。

          高海鹏2年前 (2014-09-19)回复
  2. #3

    IE6校园PC和培训班估计占大多数,再就是一些三级城市和城乡结合部较多。

    感觉高老师这个方法不错,确实解决了WP网站对于浏览器选择的问题。

    qianiqan4年前 (2013-01-14)回复
    • 教育行业绝对是IE6最后的坚守阵地者啊,目前我的博客访客中20%-30%是IE6用户。

      高海鹏4年前 (2013-01-14)回复
  3. #2

    学习一下

    FROYO4年前 (2013-01-14)回复
  4. #1

    IE6基本上淘汰了吧

    常青4年前 (2013-01-09)回复
    • 看我的网站统计,ie6还占25%左右,应该是行业的问题吧。

      高海鹏4年前 (2013-01-09)回复
      • 个人电脑已经很少用了,估计都是一些小型的商户或者校园PC。

        常青4年前 (2013-01-09)回复
点击这里给我发消息